//============================================================================//
//Package BFSoft2000                                                          //
//Copyright (c) 96,2000 Breadfruit Software (r)                               //
//Author = Frederico Torminn - Brazil BR                                      //
//E-mail = torminn@zipmail.com, torminn@zipmail.com.br, ftorminn@hotmail.com  //
//============================================================================//
(*
=======================================================================================
			PACKAGE BFSOFT 2000 COMPONENTS FOR DELPHI 4.0
=======================================================================================


	Introduction
====================

	This Package contains 38 components for Delphi 4, developed by Frederico Torminn,
	without code-source, freeware. 
	If wants, enter in Contact (see Contact.txt). 
	
	Attention 
====================

	Breadfruit Software  and Frederico Torminn don't take the responsibility for any 
	damages that can be provoked by the use of anyone of these components ! 
	Use for its bill and risk. 
	Before to install or to use some of these components, see the License.txt or help.

	Atualization of the BFSoft 2000
=======================================

	BFSoft 2000 contains 15 new components and 3 modernizations.
	If you possess the installed package BFSoft 2000, remove BFSoft 99 it before and later
	install	this new version. 
	All the files possess the same names than the previous version (BFSoft99). 	
	The package has the same name (BFSoft.dpk). 
	
	Installation  
====================

	Everybody copies the files of the directory 'Pack' for the directory of Delphi
	or another of its preference.
	Open project package 'BFSoft.dpk'.
	Change path of the file 'BFSoft2000.pas' and 'BFSoft2000.dcr' :
	- remove both;
	- add again both;
	- save package;
	- install package.
	The components will be installed in the brim 'BFSoft'. 

	Components  
==================

	See the help file for more informations.

	The two components to proceed were developed in Portuguese: 
	TBFSOrdem	- Ordinal value of the days of the month comes back; Version 1.0
	TBFSContaMoeda	- It counts notes and coins of a certain value; Version 1.0

	The others of general use with properties and methods in English:

	Without modifications
-----------------------------
	TBFSProtect	- For protection of applications; Version 1.0
	TBFSRomano	- Roman numbers; Version 1.0
	TBFSRainbow99	- Screen Fund in the colors of the Rainbow; Version 1.0
	TBFSFontCombo	- TCombobox with the fonts of the system; Version 1.0
	TBFSDBGridRec	- TDBGrid with borders colored in each cell; Version 1.0
	TBFSDBGridPaint	- TDBGrid with lines of varied colors; Version 1.0
	TBFSGridV	- TStringGrid with colored columns; Version 1.0
	TBFSGrid	- TStringGrid with cells of varied colors; Version 1.0
	TBFSToTrash	- It moves files for the trash can of the system; Version 1.0
	TBFSNoCtrlAltDel- It disables the command of keys = Ctrl + Alt + Del; Version 1.0
	TBFSExitWin	- It restarts and it turns off the Windows; Version 1.0
	TBFSMonitor	- It verifies the resolution of monitors; Version 1.0
	TBFSPaper	- It alters the size of the paper of the printer; Version 1.0
	TBFSPanelFlick	- TPanel with animation; Version 1.0
	TBFSEdit	- TEdit with color for entrance and exit and works with the key 'Enter'; Version 1.0
	TBFSVShar	- To join applications with date; Version 1.0
	TBFSTAbout	- Box 'About' for applications; Version 1.0
	TBFSRegExtension- It registers extensions of files in the registry of the system. Version 1.0

	New Versions
--------------------
	TBFSLabel	- TLabel with two colors = left and right; Version 1.1
	TBFSFundoTela	- Screen Fund in several tones and colors ; Version 1.1
	TBFSDBGridCor	- TDBGrid with lines of different colors; Version 1.1

      	New in BFSoft 2000
--------------------------
     	TBFSNavBtn        - TSpeedButton navigator with five buttons; Version 1.0
      	TBFSMemo          - TMemo with association with TBFSNavMemo; Version 1.0
      	TBFSNavMemo       - Navigator with association with TBFSMemo; Version 1.0
	TBFSNavRichEdit   - Navigator associate with TBFSRichEdit; Version 1.0
	TBFSRichEdit	  - TRichEdit with association with TBFSNavRichEdit; Version 1.0
	TBFSLabelTitle	  - TLabel with shape left and more; Version 1.0
	TBFSLabelGradient - TLabel with background gradient; Version 1.0
	TBFSPanelGradient - TPanel with backgroud gradient, layout, wordwrap; Version 1.0
	TBFSBevelCaption  - TBevel with caption, layout, wordwrap; Version 1.0
	TBFSSpeedButton	  - TSpeedButton with property color; Version 1.0
	TBFSBitBtn	  - TBitBtn with property color; Version 1.0
	TBFSDBNavigator	  - TDBNavigator with property color; Version 1.0
	TBFSProperties	  - Dialog show file properties; Version 1.0
	TBFSPrint	  - function to print; Version 1.0
	TBFSDBGridBool	  - TBFSDBGridCor with checkbox field boolean and more; Version 1.0

Copyright (c) 96,2000 Frederico Torminn - Brazil - torminn@zipmail.com
*)

Unit BFSoft2000;

interface

procedure Register;

implementation

Uses    Classes, bfsTRainbow99,bfscgrid,bfscgridv,bfsDBGridPaint,
        bfsDBGridRec,bfsEdit,bfsExitWin,bfsLabel,bfsMonitor,bfsPanelF,bfsPaper,
        bfsRegExt,bfsTAbout,bfsTContaMoeda,bfsTDBGridCor,bfsTFontCombo,bfsTFundoTela,
        bfsTOrdem,bfsToTrash,bfsTProtect,bfsCADAT,bfsTRomano,bfsVShar,
        bfsNMemo,bfsNBtn,bfsLabelTitle,bfsLabelGrad,bfsPanelGrad,bfsBevelCap,
	 bfsButs,bfsDBNavig,bfsProperties,bfsPrint,bfsTDBGridBool;

Procedure Register;

begin
RegisterComponents('BFSoft',[TBFSRainbow99, TBFSGrid, TBFSGridV, TBFSDBGridPaint,
                            TBFSDBGridRec, TBFSEdit, TBFSExitWin, TBFSLabel,
                            TBFSMonitor, TBFSPanelFlick, TBFSPaper, TBFSRegExtension,
                            TBFSTAbout, TBFSContaMoeda, TBFSDBGridCor, TBFSFontCombo,
			     TBFSFundoTela, TBFSOrdem, TBFSToTrash, TBFSProtect, TBFSNoCtrlAltDel,
			     TBFSRomano, TBFSVShar, TBFSMemo, TBFSNavBtn, TBFSNavMemo,
			     TBFSRichEdit, TBFSNavRichEdit, TBFSLabelTitle, TBFSLabelGradient,
			     TBFSPanelGradient,TBFSBevelCaption,TBFSSpeedButton,TBFSBitBtn,
			     TBFSDBNavigator,TBFSProperties,TBFSPrint,TBFSDBGridBool]);
end;
end.
